%define api		1.0
%define major		7
%define libname 	%mklibname %{name} %{api} %{major}
%define libname_devel	%mklibname -d %{name}

# don't provide plugin .so
%define _exclude_files_from_autoprov %{_libdir}/gretl-gtk2/.*\\.so

Name:		gretl
Version:	1.9.12
Release:	%mkrel 3
Summary:	A tool for econometric analysis
Group:		Sciences/Mathematics
License:	GPLv3+ and BSD and MIT
URL:		http://gretl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
#Licensing of plugins used in gretl
Source1:	gretl_plugins.txt
Patch0:		gretl-1.9.12-flite.patch
Patch1:		gretl-1.9.12-linking.patch
BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	blas-devel
BuildRequires:	fftw-devel
BuildRequires:	gettext
BuildRequires:	libxml2-devel
BuildRequires:	gtksourceview2-devel
BuildRequires:	lapack-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel
BuildRequires:	gnuplot
BuildRequires:	libgnome2-devel
BuildRequires:	fonts-ttf-bitstream-vera
BuildRequires:	fonts-ttf-freefont
BuildRequires:	R-base
BuildRequires:	unixODBC-devel
BuildRequires:	flite-devel
BuildRequires:	curl-devel
Requires:	gnuplot
Requires:	R-base
Requires:	fonts-ttf-bitstream-vera
Requires:	fonts-ttf-freefont

%description
A cross-platform software package for econometric analysis,
written in the C programming language.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		Development/C

%description -n %{libname}
This package contains the shared library files for %{name}.

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C

%description -n %{libname_devel}
This package contains the development files for %{name}.

%prep
%setup -q
%apply_patches

# fix flite detection
# FIXME: edit macros/flite.m4 and fix failing autoreconf
sed -i -e 's:register_cmu_us_kal:register_cmu_us_kal16:' configure

# fix include path
sed -i -e 's:includedir=${prefix}/include:includedir=${prefix}/include/gretl:' gretl.pc.in

# plugins licensing notes
install -pm644 %{SOURCE1} .

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--with-libR \
	--with-odbc \
	--with-audio
%make

%install
%makeinstall includedir=%{buildroot}%{_includedir}/%{name}

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

#font installation
rm -rf %{buildroot}/%{_datadir}/%{name}/fonts/*
ln -s %{_datadir}/fonts/TTF/Vera.ttf %{buildroot}/%{_datadir}/%{name}/fonts/Vera.ttf
ln -s %{_datadir}/fonts/TTF/VeraMono.ttf %{buildroot}/%{_datadir}/%{name}/fonts/VeraMono.ttf
ln -s %{_datadir}/fonts/TTF/FreeSans.ttf %{buildroot}/%{_datadir}/%{name}/fonts/FreeSans.ttf

%files -f %{name}.lang
%doc ChangeLog CompatLog README.audio README gretl_plugins.txt
%doc %{_datadir}/%{name}/doc
%{_bindir}/gretl*
%{_libdir}/gretl-gtk2/
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libgretl-%{api}.so.%{major}
%{_libdir}/libgretl-%{api}.so.%{major}.*

%files -n %{libname_devel}
%{_libdir}/pkgconfig/gretl.pc
%{_libdir}/libgretl-%{api}.so
%{_includedir}/%{name}/


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.9.12-3.mga4
+ Revision: 532228
- Mageia 4 Mass Rebuild

  + wally <wally>
    - drop unneeded requires (gtksourceview will be pulled with libs)

* Sun Aug 18 2013 wally <wally> 1.9.12-2.mga4
+ Revision: 467569
- disable rpath

* Sun Aug 18 2013 wally <wally> 1.9.12-1.mga4
+ Revision: 467564
- new version 1.9.12
- new major 7
- build with flite (add P0 and %%setup hack)
- add patch to fix linking
- exclude plugin .so from provides
- BR curl-devel
- clean .spec

* Sat Jun 01 2013 malo <malo> 1.9.9-1.mga4
+ Revision: 434237
- fix man page listing

  + joequant <joequant>
    - check in changes
    - split out libs file
      clean up spec file
    - imported package gretl

